---
title: "Interrupt active run (legacy alias)"
---

> Documentation Index
> Fetch the complete documentation index at: https://tryshiba.dev/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Shiba public API

`POST /threads/{threadId}/interrupt`

## Authentication

- `bearerAuth`, http, header `Authorization`, format `API key`

## Code samples

### cURL

```bash
curl --request POST \
  --url '<base-url>/api/v1/threads/%7BthreadId%7D/interrupt' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = '<base-url>/api/v1/threads/%7BthreadId%7D/interrupt';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "<base-url>/api/v1/threads/%7BthreadId%7D/interrupt"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
```

## Responses

### 200

Cancelled thread


Source: https://tryshiba.dev/reference/api/post/threads/threadId/interrupt/index.md
